#!/bin/sh
#------------------------------------------------------------------------------
# /usr/local/htdocs/list.cgi - list package and/or package details
#
# Copyright (c) 2003-2010 Andreas Pohl, apohl(at)ibp-consult(dot)com
# Copyright (c) 2011      The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2006-07-01 ap
# Last Update:  $Id: list.cgi 28075 2011-04-16 19:42:09Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

# Parse variables...
eval "`proccgi $*`"

echo "Content-Type: text/html; charset=iso-8859-1"
echo "Cache-control: no-store" # HTTP/1.1 (or no-cache?)
echo "Pragma: no-cache"        # HTTP/1.0
echo "Expires: `date -Ru`"     # Expires now!
echo
echo '<html>'
echo '<head>'
echo '<title>Package Status</title>'
echo '</head>'
echo '<frameset rows="300,200" frameborder="5" framespacing="2" border="2">'
echo '<frame name="_list" src="content.cgi?list=all">'
echo '<frame name="_details" src="details.cgi">'
echo '</frameset>'
echo '</html>'
exit 0
